Deprecate legacy networking tools

Registered by Mathieu Trudel-Lapierre on 2017-05-09

Let's try to overhaul the set of tools available on a default install; in favor of iproute2; instead of net-tools, for example.

Blueprint information

Status:
Not started
Approver:
Steve Langasek
Priority:
Undefined
Drafter:
Mathieu Trudel-Lapierre
Direction:
Needs approval
Assignee:
Mathieu Trudel-Lapierre
Definition:
New
Series goal:
None
Implementation:
Unknown
Milestone target:
None

Related branches

Sprints

Whiteboard

(?)

Work Items

Work items for ubuntu-17.07:
[cyphermox] scan on default installs for undocumented uses of ifupdown: TODO
review and fix grub-legacy-ec2 usage of old tools: TODO
review and fix ifenslave usage of old tools: TODO
review and fix libvirt-daemon-system usage of old tools: TODO
review and fix lxc1 usage of old tools: TODO
review and fix neutron-linuxbridge-agent usage of old tools: TODO
review and fix nova-compute usage of old tools: TODO
review and fix nova-compute-libvirt usage of old tools: TODO
review and fix nova-network usage of old tools: TODO
review and fix pppoeconf usage of old tools: TODO
review and fix qemu usage of old tools: TODO
review and fix resolvconf usage of old tools: TODO
review and fix ubuntu-fan usage of old tools: TODO
review and fix infrastructure for using new tools: TODO
implement MOTD/command-not-found documentation for new commands: TODO
implement wrappers for critical tools / warnings: TODO

Work items for ubuntu-17.08:
announce changes again / reminder on ubuntu-devel@: TODO

Work items for ubuntu-17.10:
release note the changes: TODO
cleanup remaining affected packages: TODO
last-minute testing and bugfix: TODO

Dependency tree

* Blueprints in grey have been implemented.

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.